Loading...
Searching...
No Matches
atom.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/generic.h>`
`#include <openbabel/molchrg.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/phmodel.h>`
`#include <openbabel/builder.h>`
`#include <openbabel/elements.h>`
`#include <openbabel/chains.h>`
`#include <openbabel/obutil.h>`
`#include <openbabel/residue.h>`
`#include <openbabel/math/matrix3x3.h>`

## Namespaces

namespace | OpenBabel

## Macros

#define | ONE_OVER_SQRT3 0.57735026918962576451
#define | SQRT_TWO_THIRDS 0.81649658092772603272

## Functions

int | strncasecmp (const char *s1, const char *s2, size_t n)
static bool | IsSulfoneOxygen (OBAtom *atm)
static double | CorrectedBondRad (unsigned int elem, unsigned int hyb)
static void | ApplyRotMatToBond (OBMol &mol, matrix3x3 &m, OBAtom *a1, OBAtom *a2)

## Detailed Description

Handle OBAtom class.

## Macro Definition Documentation

## ONE_OVER_SQRT3

#define ONE_OVER_SQRT3 0.57735026918962576451

Referenced by OBAtom::SetHybAndGeom().

## SQRT_TWO_THIRDS

#define SQRT_TWO_THIRDS 0.81649658092772603272

Referenced by OBAtom::SetHybAndGeom().

## Function Documentation

## strncasecmp()

int strncasecmp | ( | const char * | s1,
|  | const char * | s2,
|  | size_t | n )

Referenced by OBAtomTyper::AssignTypes(), and OBFormat::Display().